LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06966Bug reports[All Projects] Tokenspublic2012-11-26 20:102012-12-04 13:16
ReporterLoco 
Assigned ToDenisChenu 
PriorityimmediateSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06966: {TOKEN:USESLEFT} is undefined variable in surveys and notification/confirmation emails
Description{TOKEN:USESLEFT} behaves like undefined variable in surveys (question group description), basic admin notification, advanced admin notification and confirmation Emails. It is properly marked in administration of survey (brown letters).

{USESLEFT} works fine in invitation and reminder Emails.
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121121
BrowserGoogle Chrome V23.0.1271.64, Mozilla Firefox 16.0.2
Database & DB-VersionMySQL, unknown version
Operating System (Server)unknown
Webserver software & versionunknown
PHP Versionunknown
Attached Fileszip file icon BUG_REPORT.zip [^] (8,330 bytes) 2012-11-26 20:10

- Relationships

-  Notes
User avatar (22566)
Loco (reporter)
2012-11-27 01:32

Just tested, and no such problems occur in 1.92 version.
User avatar (22597)
DenisChenu (developer)
2012-11-27 09:30

Carsten, (or Mazi)
I don't have time today, but maybe this night or tomorrow.
You can give it to me :) if you don't find in less than half hour ;).

Denis
User avatar (22718)
DenisChenu (developer)
2012-11-29 19:05

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10582 [^]
User avatar (22730)
DenisChenu (developer)
2012-11-30 10:25

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10594 [^]
User avatar (22854)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.

- Related Changesets
LimeSurvey: master 5a94174b
Timestamp: 2012-11-29 18:03:24
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06966: {TOKEN:USESLEFT} is undefined variable in surveys and notification/confirmation emails
Dev: Take whole token information in getTokenData, then can be used by EM.
Dev: TODO : remove some extra code to retriev token information
mod - application/helpers/common_helper.php Diff ] File ]
LimeSurvey: 2.1 5d22c111
Timestamp: 2012-11-29 18:03:24
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06966: {TOKEN:USESLEFT} is undefined variable in surveys and notification/confirmation emails
Dev: Take whole token information in getTokenData, then can be used by EM.
Dev: TODO : remove some extra code to retriev token information
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-26 20:10 Loco New Issue
2012-11-26 20:10 Loco File Added: BUG_REPORT.zip
2012-11-27 01:32 Loco Note Added: 22566
2012-11-27 09:30 DenisChenu Note Added: 22597
2012-11-28 02:18 DenisChenu Note Added: 22612
2012-11-28 03:22 DenisChenu Assigned To => DenisChenu
2012-11-28 03:22 DenisChenu Status new => assigned
2012-11-28 03:22 DenisChenu Note Deleted: 22612
2012-11-29 19:05 DenisChenu Changeset attached => LimeSurvey master 5a94174b
2012-11-29 19:05 DenisChenu Note Added: 22718
2012-11-29 19:05 DenisChenu Resolution open => fixed
2012-11-30 10:25 DenisChenu Changeset attached => LimeSurvey 2.1 5d22c111
2012-11-30 10:25 DenisChenu Note Added: 22730
2012-11-30 17:55 DenisChenu Status assigned => resolved
2012-11-30 17:55 DenisChenu Fixed in Version => 2.00+
2012-12-04 13:16 c_schmitz Note Added: 22854
2012-12-04 13:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker